Skip to main content
GET
Get tool metadata

Authorizations

Authorization
string
header
required

varg API key (varg_...). Get one at app.varg.ai or run bunx vargai login. App sessions may alternatively send a Supabase JWT.

Path Parameters

tool_key
enum<string>
required
Available options:
image,
video,
video_analyze,
speech,
music,
transcription,
ffmpeg,
render,
pipeline

Query Parameters

model
string

Enrich the schema with per-provider options for this model

Response

Tool metadata

tool_key
string
required
description
string
required
input_schema
object
required

JSON Schema for the request body

output_schema
object
required

JSON Schema of the job output

example
object
required

A worked input/output example